Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X POST "https://api.box.com/2.0/hubs/12345/manage_items" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"operations": [
{
"action": "add",
"item": {
"type": "folder",
"id": "123456789"
}
}
]
}'{
"operations": [
{
"action": "add",
"item": {
"type": "file",
"id": "42037322"
},
"parent_id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
"status": 200,
"error": "Item not found"
}
]
}Adds and/or removes Box Hub items from a Box Hub.
curl -i -X POST "https://api.box.com/2.0/hubs/12345/manage_items" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"operations": [
{
"action": "add",
"item": {
"type": "folder",
"id": "123456789"
}
}
]
}'{
"operations": [
{
"action": "add",
"item": {
"type": "file",
"id": "42037322"
},
"parent_id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
"status": 200,
"error": "Item not found"
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 The unique identifier that represent a hub.
The ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/hubs/123 the hub_id is 123.
Request schema for managing Box Hub items.
List of operations to perform on Box Hub items.
Show child attributes
Retrieves the status of all the operations.
Response schema for the status of Box Hub items management operations.
List of operations performed on Box Hub items.
Show child attributes
Was this page helpful?